echo off
rem slifmt.bat
if exist hyphen.tex goto ex
copy \emtex\texinput\hyphen.tex hyphen.tex
tex -i -8 splain \input 3 \dump
if errorlevel 1 goto error
goto done

:ex
echo The following files should be removed or renamed before running slifmt:
if exist hyphen.tex echo hyphen.tex
goto end

:error
echo Error

:done
if exist hyphen.tex del hyphen.tex
:end
